
Infrastructure - Story #1353

checksumalgorithm enumerations need better formating

2011-02-15 21:24 - Robert Waltz

Status: Closed Start date: 2011-03-01

Priority: Normal Due date:  

Assignee: Rob Nahf % Done: 100%

Category: d1_common_java Estimated time: 0.00 hour

Target version: Sprint-2011.14-Block.2   

Story Points:    

Description

Subtasks:

Task # 1400: look at all the enumerations to make certain they have sensible names Closed

History

#1 - 2011-03-07 17:46 - Dave Vieglais

- Position set to 8

- Target version changed from Sprint-2011.09-Block.2 to Sprint-2011.10-Block.2

#2 - 2011-03-07 17:52 - Robert Waltz

- Position deleted (8)

- Position set to 9

#3 - 2011-03-16 17:27 - Robert Waltz

- Position set to 5

- Target version changed from Sprint-2011.10-Block.2 to Sprint-2011.11-Block.2

- Position deleted (17)

#4 - 2011-03-22 13:59 - Dave Vieglais

- Position deleted (16)

- Position set to 4

- Target version changed from Sprint-2011.11-Block.2 to Sprint-2011.12-Block.2

#5 - 2011-03-28 16:43 - Dave Vieglais

- Position set to 1

- Target version changed from Sprint-2011.12-Block.2 to Sprint-2011.13-Block.2

- Position deleted (12)

- Position changed from 1 to 176

#6 - 2011-03-28 16:44 - Dave Vieglais

- Assignee changed from Robert Waltz to Rob Nahf

#7 - 2011-03-28 21:18 - Robert Waltz

The file buildDomain.xml is an ant file that assists JibX in the production of the domain types from D1 xml schema.  JibX makes some assumptions

about how to compose Enums when generating the classes.  We don't like their assumptions, and so after the code has been generated, we go back

and perform substitutions to format Enums to our liking.

If you look in buildDomains.xml you will see a bunch of replace ant tasks against the file ObjectFormat.java.  The token is the ill-formated JibX

enumeration constant field name while the value is the nicely formated D1 substitution.  
We need to perform similar substitutions for ChecksumAlgorithm.java.

Such that JibX's constant name of SH_A1 morphs into SHA_1, and so on...

Then we'll have to fix everything that this breaks. Hopefully not much...

#8 - 2011-04-05 01:49 - Dave Vieglais

- Position set to 2

- Position deleted (178)

- Target version changed from Sprint-2011.13-Block.2 to Sprint-2011.14-Block.2

#9 - 2011-04-12 16:33 - Rob Nahf

- Status changed from New to Closed
